/**
 * Copyright (c) 2010-2019 Contributors to the openHAB project
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 */
package org.openhab.binding.digitalstrom.internal.lib.serverconnection.simpledsrequestbuilder.constants;

/**
 * The {@link ParameterKeys} contains digitalSTROM-JSON parameter keys.
 *
 * @author Michael Ochel - initial contributer
 * @author Matthias Siegele - initial contributer
 */
public class ParameterKeys {
    public static final String TOKEN = "token";
    public static final String APPLICATION_TOKEN = "applicationToken";
    public static final String APPLICATION_NAME = "applicationName";
    public static final String NAME = "name";
    public static final String NEW_NAME = "newName";
    public static final String DSID = "dsid";
    public static final String SCENENUMBER = "sceneNumber";
    public static final String LOGIN_TOKEN = "loginToken";
    public static final String USER = "user";
    public static final String PASSWORD = "password";
    public static final String SUBSCRIPTIONID = "subscriptionID";
    public static final String TIMEOUT = "timeout";
    public static final String GROUP_ID = "groupID";
    public static final String GROUP_NAME = "groupName";
    public static final String VALUE = "value";
    public static final String FORCE = "force";
    public static final String ID = "id";
    public static final String ENABLE = "enable";
    public static final String DISABLE = "disable";
    public static final String UNASSIGNED = "unassigned";
    public static final String SOURCE_DSID = "sourceDSID";
    public static final String SENSOR_TYPE = "sensorType";
    public static final String SENSOR_VALUE = "sensorValue";
    public static final String FLAG = "flag";
    public static final String PATH = "path";
    public static final String RAISE = "raise";
    public static final String CONTEXT = "context";
    public static final String LOCATION = "location";
    public static final String SELF = "self";
    public static final String ZONE_ID = "zoneID";
    public static final String ZONE_NAME = "zoneName";
    public static final String OTHER = "other";
    public static final String DEVICE_ID = "deviceID";
    public static final String UNIT = "unit";
    public static final String START_TIME = "startTime";
    public static final String END_TIME = "endTime";
    public static final String VALUE_COUNT = "valueCount";
    public static final String RESOLUTION = "resolution";
    public static final String TYPE = "type";
    public static final String FROM = "from";
    public static final String TAG = "tag";
    public static final String CLASS = "class";
    public static final String INDEX = "index";
    public static final String BUTTON_ID = "buttonID";
    public static final String MODE_ID = "modeID";
    public static final String MODE = "mode";
    public static final String OFFSET = "offset";
    public static final String SCENE_ID = "sceneID";
    public static final String DONT_CARE = "dontCare";
    public static final String LOCAL_PRIO = "localPrio";
    public static final String SPECIAL_MODE = "specialMode";
    public static final String FLASH_MODE = "flashMode";
    public static final String LED_CON_INDEX = "ledconIndex";
    public static final String DIM_TIME_INDEX = "dimtimeIndex";
    public static final String UP = "up";
    public static final String DOWN = "down";
    public static final String COLOR_SELECT = "colorSelect";
    public static final String MODE_SELECT = "modeSelect";
    public static final String DIM_MODE = "dimMode";
    public static final String RGB_MODE = "rgbMode";
    public static final String GROUP_COLOR_MODE = "groupColorMode";
    public static final String SENSOR_INDEX = "sensorIndex";
    public static final String EVENT_INDEX = "eventIndex";
    public static final String AREA_SCENE = "areaScene";
    public static final String EVENT_NAME = "eventName";
    public static final String TEST = "test";
    public static final String HYSTERSIS = "hysteresis";
    public static final String VALIDITY = "validity";
    public static final String ACTION = "action";
    public static final String BUTTON_NUMBER = "buttonNumber";
    public static final String CLICK_TYPE = "clickType";
    public static final String SCENE_DEVICE_MODE = "sceneDeviceMode";
    public static final String CONTROL_STATE = "ControlState";
    public static final String CONTROL_VALUE = "ControlValue";
    public static final String QUERY = "query";
    public static final String CONTROL_MODE = "ControlMode";
    public static final String CONTROL_DSUID = "ControlDSUID";
    public static final String CTRL_OFFSET = "CtrlOffset";
    public static final String REFERENCE_ZONE = "ReferenceZone";
    public static final String EMERGENCY_VALUE = "EmergencyValue";
    public static final String MANUAL_VALUE = "ManualValue";
    public static final String CTRL_KP = "CtrlKp";
    public static final String CTRL_TS = "CtrlTs";
    public static final String CTRL_TI = "CtrlTi";
    public static final String CTRL_KD = "CtrlKd";
    public static final String CTRL_I_MIN = "CtrlImin";
    public static final String CTRL_I_MAX = "CtrlImax";
    public static final String CTRL_Y_MIN = "CtrlYmin";
    public static final String CTRL_Y_MAX = "CtrlYmax";
    public static final String CTRL_ANTI_WIND_UP = "CtrlAntiWindUp";
    public static final String CTRL_KEEP_FLOOR_WARM = "CtrlKeepFloorWarm";
    public static final String SOURCE_DSUID = "sourceDSUID";
    public static final String DSUID = "dsuid";
}
