/**
 * Copyright (c) 2010-2019 Contributors to the openHAB project
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 */
package org.openhab.binding.foobot.internal;

import org.eclipse.jdt.annotation.NonNullByDefault;

/**
 * Exception thrown when problems occur with obtaining data for the foobot api.
 *
 * @author Hilbrand Bouwkamp - Initial contribution
 */
@NonNullByDefault
public class FoobotApiException extends Exception {

    private static final long serialVersionUID = 1L;

    public FoobotApiException(final int status, final String message) {
        super(String.format("%s (code: %s)", message, status));
    }
}
