/**
 * Copyright (c) 2010-2019 Contributors to the openHAB project
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 */
package org.openhab.binding.fronius.internal.api;

import com.google.gson.annotations.SerializedName;

/**
 * The {@link PowerFlowRealtimeBody} is responsible for storing
 * the "body" node of the JSON response
 *
 * @author Thomas Rokohl - Initial contribution
 */
public class PowerFlowRealtimeBody {
    @SerializedName("Data")
    private PowerFlowRealtimeBodyData data;

    public PowerFlowRealtimeBodyData getData() {
        if (data == null) {
            data = new PowerFlowRealtimeBodyData();
        }
        return data;
    }

    public void setData(PowerFlowRealtimeBodyData data) {
        this.data = data;
    }
}
