/**
 * Copyright (c) 2010-2019 Contributors to the openHAB project
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 */
package org.openhab.binding.hydrawise.internal.api.model;

import java.util.LinkedList;
import java.util.List;

/**
 * The {@link LocalScheduleResponse} class models the LocalSchedule response message
 *
 * @author Dan Cunningham - Initial contribution
 */
public class LocalScheduleResponse extends Response {

    public List<Running> running = new LinkedList<Running>();

    public List<Relay> relays = new LinkedList<Relay>();

    public String name;

    public Integer time;

}
