/**
 * Copyright (c) 2010-2019 Contributors to the openHAB project
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 */
package org.openhab.binding.nibeheatpump.internal.protocol;

import java.nio.ByteBuffer;

/**
 * The {@link NibeHeatPumpProtocolContext} define interface for Nibe communication protocol context.
 *
 *
 * @author Pauli Anttila - Initial contribution
 */
public interface NibeHeatPumpProtocolContext {
    ByteBuffer buffer();

    ByteBuffer msg();

    NibeHeatPumpProtocolStates state();

    void state(NibeHeatPumpProtocolStates state);

    void sendAck();

    void sendNak();

    void sendWriteMsg();

    void sendReadMsg();

    void msgReceived(byte[] data);
}
